VTK: vtkCenteredSliderRepresentation Class Reference

| VTK 9.3.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkCenteredSliderRepresentation Class Reference

provide the representation for a vtkCenteredSliderWidget More...

`#include <vtkCenteredSliderRepresentation.h>`

Inheritance diagram for vtkCenteredSliderRepresentation:
[legend]
Collaboration diagram for vtkCenteredSliderRepresentation:
[legend]

## Public Member Functions
vtkCoordinate * | GetPoint1Coordinate ()
| Position the first end point of the slider. More...
vtkCoordinate * | GetPoint2Coordinate ()
| Position the second end point of the slider. More...
void | SetTitleText (const char *) override
| Specify the label text for this widget. More...
const char * | GetTitleText () override
| Specify the label text for this widget. More...
virtual vtkProperty2D * | GetTubeProperty ()
| Get the properties for the tube and slider. More...
virtual vtkProperty2D * | GetSliderProperty ()
| Get the properties for the tube and slider. More...
virtual vtkProperty2D * | GetSelectedProperty ()
| Get the selection property. More...
virtual vtkTextProperty * | GetLabelProperty ()
| Set/Get the properties for the label and title text. More...
void | PlaceWidget (double bounds[6]) override
| Methods to interface with the vtkSliderWidget. More...
void | BuildRepresentation () override
| Methods to interface with the vtkSliderWidget. More...
void | StartWidgetInteraction (double eventPos[2]) override
| Methods to interface with the vtkSliderWidget. More...
int | ComputeInteractionState (int X, int Y, int modify=0) override
| Methods to interface with the vtkSliderWidget. More...
void | WidgetInteraction (double eventPos[2]) override
| Methods to interface with the vtkSliderWidget. More...
void | Highlight (int) override
| Methods to interface with the vtkSliderWidget. More...
void | GetActors (vtkPropCollection *propCollections) override
| Methods supporting the rendering process. More...
void | ReleaseGraphicsResources (vtkWindow *window) override
| Methods supporting the rendering process. More...
int | RenderOverlay (vtkViewport *) override
| Methods supporting the rendering process. More...
int | RenderOpaqueGeometry (vtkViewport *) override
| Methods supporting the rendering process. More...
Public Member Functions inherited from vtkSliderRepresentation
virtual double | GetCurrentT ()
| Methods to interface with the vtkSliderWidget. More...
virtual double | GetPickedT ()
void | SetValue (double value)
| Specify the current value for the widget. More...
virtual double | GetValue ()
| Specify the current value for the widget. More...
void | SetMinimumValue (double value)
| Set the current minimum value that the slider can take. More...
virtual double | GetMinimumValue ()
| Set the current minimum value that the slider can take. More...
void | SetMaximumValue (double value)
| Set the current maximum value that the slider can take. More...
virtual double | GetMaximumValue ()
| Set the current maximum value that the slider can take. More...
virtual void | SetSliderLength (double)
| Specify the length of the slider shape (in normalized display coordinates [0.01,0.5]). More...
virtual double | GetSliderLength ()
| Specify the length of the slider shape (in normalized display coordinates [0.01,0.5]). More...
virtual void | SetSliderWidth (double)
| Set the width of the slider in the directions orthogonal to the slider axis. More...
virtual double | GetSliderWidth ()
| Set the width of the slider in the directions orthogonal to the slider axis. More...
virtual void | SetTubeWidth (double)
| Set the width of the tube (in normalized display coordinates) on which the slider moves. More...
virtual double | GetTubeWidth ()
| Set the width of the tube (in normalized display coordinates) on which the slider moves. More...
virtual void | SetEndCapLength (double)
| Specify the length of each end cap (in normalized coordinates [0.0,0.25]). More...
virtual double | GetEndCapLength ()
| Specify the length of each end cap (in normalized coordinates [0.0,0.25]). More...
virtual void | SetEndCapWidth (double)
| Specify the width of each end cap (in normalized coordinates [0.0,0.25]). More...
virtual double | GetEndCapWidth ()
| Specify the width of each end cap (in normalized coordinates [0.0,0.25]). More...
virtual void | SetLabelFormat (const char *)
| Set/Get the format with which to print the slider value. More...
virtual char * | GetLabelFormat ()
| Set/Get the format with which to print the slider value. More...
virtual void | SetLabelHeight (double)
| Specify the relative height of the label as compared to the length of the slider. More...
virtual double | GetLabelHeight ()
| Specify the relative height of the label as compared to the length of the slider. More...
virtual void | SetTitleHeight (double)
| Specify the relative height of the title as compared to the length of the slider. More...
virtual double | GetTitleHeight ()
| Specify the relative height of the title as compared to the length of the slider. More...
virtual void | SetShowSliderLabel (vtkTypeBool)
| Indicate whether the slider text label should be displayed. More...
virtual vtkTypeBool | GetShowSliderLabel ()
| Indicate whether the slider text label should be displayed. More...
virtual void | ShowSliderLabelOn ()
| Indicate whether the slider text label should be displayed. More...
virtual void | ShowSliderLabelOff ()
| Indicate whether the slider text label should be displayed. More...
vtkSliderRepresentation * | NewInstance () const
| Standard methods for the class. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard methods for the class. More...
Public Member Functions inherited from vtkWidgetRepresentation
virtual void | PlaceWidget (double vtkNotUsed(bounds)[6])
| The following is a suggested API for widget representations. More...
virtual void | EndWidgetInteraction (double newEventPos[2])
virtual int | GetInteractionState ()
virtual void | Highlight (int vtkNotUsed(highlightOn))
double * | GetBounds () override
| Methods to make this class behave as a vtkProp. More...
void | ShallowCopy (vtkProp *prop) override
| Shallow copy of this vtkProp. More...
void | GetActors (vtkPropCollection *) override
| For some exporters and other other operations we must be able to collect all the actors or volumes. More...
void | GetActors2D (vtkPropCollection *) override
void | GetVolumes (vtkPropCollection *) override
void | ReleaseGraphicsResources (vtkWindow *) override
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Release any graphics resources that are being consumed by this actor. More...
int | RenderOverlay (vtkViewport *vtkNotUsed(viewport)) override
int | RenderOpaqueGeometry (vtkViewport *vtkNotUsed(viewport)) override
int | RenderTranslucentPolygonalGeometry (vtkViewport *vtkNotUsed(viewport)) override
int | RenderVolumetricGeometry (vtkViewport *vtkNotUsed(viewport)) override
vtkTypeBool | HasTranslucentPolygonalGeometry () override
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS Does this prop have some translucent polygonal geometry? This method is called during the rendering process to know if there is some translucent polygonal geometry. More...
virtual void | RegisterPickers ()
| Register internal Pickers in the Picking Manager. More...
virtual void | UnRegisterPickers ()
| Unregister internal pickers from the Picking Manager. More...
virtual void | PickingManagedOn ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | PickingManagedOff ()
| Enable/Disable the use of a manager to process the picking. More...
void | SetPickingManaged (bool managed)
| Enable/Disable the use of a manager to process the picking. More...
virtual bool | GetPickingManaged ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | SetRenderer (vtkRenderer *ren)
| Subclasses of vtkWidgetRepresentation must implement these methods. More...
virtual vtkRenderer * | GetRenderer ()
| Subclasses of vtkWidgetRepresentation must implement these methods. More...
virtual void | StartComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual void | ComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual void | EndComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual int | ComputeComplexInteractionState (vtkRenderWindowInteractor *iren, vtkAbstractWidget *widget, unsigned long event, void *callData, int modify=0)
virtual void | SetPlaceFactor (double)
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual double | GetPlaceFactor ()
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual void | SetHandleSize (double)
| Set/Get the factor that controls the size of the handles that appear as part of the widget (if any). More...
virtual double | GetHandleSize ()
| Set/Get the factor that controls the size of the handles that appear as part of the widget (if any). More...
virtual vtkTypeBool | GetNeedToRender ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | SetNeedToRender (vtkTypeBool)
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | NeedToRenderOn ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | NeedToRenderOff ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
vtkWidgetRepresentation * | NewInstance () const
| Standard methods for instances of this class. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard methods for instances of this class. More...
Public Member Functions inherited from vtkProp
vtkProp * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | Pick ()
| Method fires PickEvent if the prop is picked. More...
virtual vtkMTimeType | GetRedrawMTime ()
| Return the mtime of anything that would cause the rendered image to appear differently. More...
virtual void | PokeMatrix (vtkMatrix4x4 *vtkNotUsed(matrix))
| These methods are used by subclasses to place a matrix (if any) in the prop prior to rendering. More...
virtual vtkMatrix4x4 * | GetMatrix ()
virtual bool | HasKeys (vtkInformation *requiredKeys)
| Tells if the prop has all the required keys. More...
virtual int | RenderTranslucentPolygonalGeometry (vtkViewport *)
virtual int | RenderVolumetricGeometry (vtkViewport *)
virtual bool | RenderFilteredOpaqueGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the opaque geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredTranslucentPolygonalGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the translucent polygonal geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredVolumetricGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the volumetric geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredOverlay (vtkViewport *v, vtkInformation *requiredKeys)
| Render in the overlay of the viewport only if the prop has all the requiredKeys. More...
virtual vtkTypeBool | HasOpaqueGeometry ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS Does this prop have some opaque geometry? This method is called during the rendering process to know if there is some opaque geometry. More...
virtual double | GetEstimatedRenderTime (vtkViewport *)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS The EstimatedRenderTime may be used to select between different props, for example in LODProp it is used to select the level-of-detail. More...
virtual double | GetEstimatedRenderTime ()
virtual void | SetEstimatedRenderTime (double t)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS This method is used by, for example, the vtkLODProp3D in order to initialize the estimated render time at start-up to some user defined value. More...
virtual void | RestoreEstimatedRenderTime ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS When the EstimatedRenderTime is first set to 0.0 (in the SetAllocatedRenderTime method) the old value is saved. More...
virtual void | AddEstimatedRenderTime (double t, vtkViewport *vtkNotUsed(vp))
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS This method is intended to allow the renderer to add to the EstimatedRenderTime in props that require information that the renderer has in order to do this. More...
void | SetRenderTimeMultiplier (double t)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Get/Set the multiplier for the render time. More...
virtual double | GetRenderTimeMultiplier ()
virtual void | BuildPaths (vtkAssemblyPaths *paths, vtkAssemblyPath *path)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Used to construct assembly paths and perform part traversal. More...
virtual bool | GetSupportsSelection ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Used by vtkHardwareSelector to determine if the prop supports hardware selection. More...
virtual void | ProcessSelectorPixelBuffers (vtkHardwareSelector *, std::vector< unsigned int > &)
| allows a prop to update a selections color buffers More...
virtual void | SetVisibility (vtkTypeBool)
| Set/Get visibility of this vtkProp. More...
virtual vtkTypeBool | GetVisibility ()
| Set/Get visibility of this vtkProp. More...
virtual void | VisibilityOn ()
| Set/Get visibility of this vtkProp. More...
virtual void | VisibilityOff ()
| Set/Get visibility of this vtkProp. More...
virtual void | SetPickable (vtkTypeBool)
| Set/Get the pickable instance variable. More...
virtual vtkTypeBool | GetPickable ()
| Set/Get the pickable instance variable. More...
virtual void | PickableOn ()
| Set/Get the pickable instance variable. More...
virtual void | PickableOff ()
| Set/Get the pickable instance variable. More...
virtual void | SetDragable (vtkTypeBool)
| Set/Get the value of the dragable instance variable. More...
virtual vtkTypeBool | GetDragable ()
| Set/Get the value of the dragable instance variable. More...
virtual void | DragableOn ()
| Set/Get the value of the dragable instance variable. More...
virtual void | DragableOff ()
| Set/Get the value of the dragable instance variable. More...
virtual void | SetUseBounds (bool)
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual bool | GetUseBounds ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | UseBoundsOn ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | UseBoundsOff ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | InitPathTraversal ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual vtkAssemblyPath * | GetNextPath ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual int | GetNumberOfPaths ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual vtkInformation * | GetPropertyKeys ()
| Set/Get property keys. More...
virtual void | SetPropertyKeys (vtkInformation *keys)
| Set/Get property keys. More...
virtual void | SetAllocatedRenderTime (double t, vtkViewport *vtkNotUsed(v))
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS The renderer may use the allocated rendering time to determine how to render this actor. More...
virtual double | GetAllocatedRenderTime ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS. More...
virtual int | GetNumberOfConsumers ()
| Get the number of consumers. More...
void | AddConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
void | RemoveConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
vtkObject * | GetConsumer (int i)
| Add or remove or get or check a consumer,. More...
int | IsConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
virtual void | SetShaderProperty (vtkShaderProperty *property)
| Set/Get the shader property. More...
virtual vtkShaderProperty * | GetShaderProperty ()
| Set/Get the shader property. More...
virtual bool | IsRenderingTranslucentPolygonalGeometry ()
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkCenteredSliderRepresentation * | New ()
| Instantiate the class. More...
Static Public Member Functions inherited from vtkSliderRepresentation
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for the class. More...
static vtkSliderRepresentation * | SafeDownCast (vtkObjectBase *o)
| Standard methods for the class. More...
Static Public Member Functions inherited from vtkWidgetRepresentation
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for instances of this class. More...
static vtkWidgetRepresentation * | SafeDownCast (vtkObjectBase *o)
| Standard methods for instances of this class. More...
Static Public Member Functions inherited from vtkProp
static vtkTypeBool | IsTypeOf (const char *type)
static vtkProp * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerKey * | GeneralTextureUnit ()
| Optional Key Indicating the texture unit for general texture mapping Old OpenGL was a state machine where you would push or pop items. More...
static vtkInformationDoubleVectorKey * | GeneralTextureTransform ()
| Optional Key Indicating the texture transform for general texture mapping Old OpenGL was a state machine where you would push or pop items. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
| vtkCenteredSliderRepresentation ()
| ~vtkCenteredSliderRepresentation () override
virtual double | ComputePickPosition (double x, double y)
void | BuildTube ()
Protected Member Functions inherited from vtkSliderRepresentation
| vtkSliderRepresentation ()
| ~vtkSliderRepresentation () override
Protected Member Functions inherited from vtkWidgetRepresentation
| vtkWidgetRepresentation ()
| ~vtkWidgetRepresentation () override
void | AdjustBounds (double bounds[6], double newBounds[6], double center[3])
vtkPickingManager * | GetPickingManager ()
| Return the picking manager associated on the context on which the widget representation currently belong. More...
vtkAssemblyPath * | GetAssemblyPath (double X, double Y, double Z, vtkAbstractPropPicker *picker)
| Proceed to a pick, whether through the PickingManager if the picking is managed or directly using the registered picker, and return the assembly path. More...
vtkAssemblyPath * | GetAssemblyPath3DPoint (double pos[3], vtkAbstractPropPicker *picker)
bool | NearbyEvent (int X, int Y, double bounds[6])
double | SizeHandlesRelativeToViewport (double factor, double pos[3])
double | SizeHandlesInPixels (double factor, double pos[3])
void | UpdatePropPose (vtkProp3D *prop, const double *pos1, const double *orient1, const double *pos2, const double *orient2)
Protected Member Functions inherited from vtkProp
| vtkProp ()
| ~vtkProp () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkCoordinate * | Point1Coordinate
vtkCoordinate * | Point2Coordinate
vtkTransform * | XForm
vtkPoints * | Points
vtkCellArray * | SliderCells
vtkPolyData * | Slider
vtkTransformPolyDataFilter * | SliderXForm
vtkPolyDataMapper2D * | SliderMapper
vtkActor2D * | SliderActor
vtkProperty2D * | SliderProperty
vtkCellArray * | TubeCells
vtkPolyData * | Tube
vtkTransformPolyDataFilter * | TubeXForm
vtkPolyDataMapper2D * | TubeMapper
vtkActor2D * | TubeActor
vtkProperty2D * | TubeProperty
vtkTextProperty * | LabelProperty
vtkTextActor * | LabelActor
vtkProperty2D * | SelectedProperty
int | HighlightState
Protected Attributes inherited from vtkSliderRepresentation
double | Value
double | MinimumValue
double | MaximumValue
double | SliderLength
double | SliderWidth
double | EndCapLength
double | EndCapWidth
double | TubeWidth
double | CurrentT
double | PickedT
vtkTypeBool | ShowSliderLabel
char * | LabelFormat
double | LabelHeight
double | TitleHeight
Protected Attributes inherited from vtkWidgetRepresentation
vtkWeakPointer< vtkRenderer > | Renderer
int | InteractionState
double | StartEventPosition [3]
double | PlaceFactor
int | Placed
double | InitialBounds [6]
double | InitialLength
int | ValidPick
bool | PickingManaged
double | HandleSize
vtkTypeBool | NeedToRender
vtkTimeStamp | BuildTime
vtkNew< vtkTransform > | TempTransform
vtkNew< vtkMatrix4x4 > | TempMatrix
Protected Attributes inherited from vtkProp
vtkTypeBool | Visibility
vtkTypeBool | Pickable
vtkTypeBool | Dragable
bool | UseBounds
double | AllocatedRenderTime
double | EstimatedRenderTime
double | SavedEstimatedRenderTime
double | RenderTimeMultiplier
int | NumberOfConsumers
vtkObject ** | Consumers
vtkAssemblyPaths * | Paths
vtkInformation * | PropertyKeys
vtkShaderProperty * | ShaderProperty
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers
typedef vtkSliderRepresentation | Superclass
| Standard methods for the class. More...
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for the class. More...
static vtkCenteredSliderRepresentation * | SafeDownCast (vtkObjectBase *o)
| Standard methods for the class. More...
virtual vtkTypeBool | IsA (const char *type)
| Standard methods for the class. More...
vtkCenteredSliderRepresentation * | NewInstance () const
| Standard methods for the class. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard methods for the class. More...
virtual vtkObjectBase * | NewInstanceInternal () const
| Standard methods for the class. More...

## Additional Inherited Members
Public Types inherited from vtkSliderRepresentation
enum | InteractionStateType { Outside = 0 , Tube , LeftCap , RightCap , Slider }
typedef InteractionStateType | _InteractionState
typedef vtkWidgetRepresentation | Superclass
| Standard methods for the class. More...
Public Types inherited from vtkWidgetRepresentation
enum | Axis { NONE = -1 , XAxis = 0 , YAxis = 1 , ZAxis = 2 , Custom = 3 }
| Axis labels. More...
typedef vtkProp | Superclass
| Standard methods for instances of this class. More...
Public Types inherited from vtkProp
typedef vtkObject | Superclass
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

provide the representation for a vtkCenteredSliderWidget

This class is used to represent and render a vtkCenteredSliderWidget. To use this class, you must at a minimum specify the end points of the slider. Optional instance variable can be used to modify the appearance of the widget.

See also
  vtkSliderWidget

Definition at line 43 of file vtkCenteredSliderRepresentation.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkSliderRepresentation vtkCenteredSliderRepresentation::Superclass

Standard methods for the class.

Definition at line 55 of file vtkCenteredSliderRepresentation.h.

## Constructor & Destructor Documentation

## ◆ vtkCenteredSliderRepresentation()

vtkCenteredSliderRepresentation::vtkCenteredSliderRepresentation | ( |  | ) |
| protected

## ◆ ~vtkCenteredSliderRepresentation()

vtkCenteredSliderRepresentation::~vtkCenteredSliderRepresentation | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkCenteredSliderRepresentation* vtkCenteredSliderRepresentation::New | ( |  | ) |
| static

Instantiate the class.

## ◆ IsTypeOf()

static vtkTypeBool vtkCenteredSliderRepresentation::IsTypeOf | ( | const char * | type | ) |
| static

Standard methods for the class.

## ◆ IsA()

virtual vtkTypeBool vtkCenteredSliderRepresentation::IsA | ( | const char * | type | ) |
| virtual

Standard methods for the class.

Reimplemented from vtkSliderRepresentation.

## ◆ SafeDownCast()

static vtkCenteredSliderRepresentation* vtkCenteredSliderRepresentation::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

Standard methods for the class.

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkCenteredSliderRepresentation::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Standard methods for the class.

Reimplemented from vtkSliderRepresentation.

## ◆ NewInstance()

vtkCenteredSliderRepresentation* vtkCenteredSliderRepresentation::NewInstance | ( |  | ) | const

Standard methods for the class.

## ◆ PrintSelf()

void vtkCenteredSliderRepresentation::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Standard methods for the class.

Reimplemented from vtkObject.

## ◆ GetPoint1Coordinate()

vtkCoordinate* vtkCenteredSliderRepresentation::GetPoint1Coordinate | ( |  | ) |

Position the first end point of the slider.

Note that this point is an instance of vtkCoordinate, meaning that Point 1 can be specified in a variety of coordinate systems, and can even be relative to another point. To set the point, you'll want to get the Point1Coordinate and then invoke the necessary methods to put it into the correct coordinate system and set the correct initial value.

## ◆ GetPoint2Coordinate()

vtkCoordinate* vtkCenteredSliderRepresentation::GetPoint2Coordinate | ( |  | ) |

Position the second end point of the slider.

Note that this point is an instance of vtkCoordinate, meaning that Point 1 can be specified in a variety of coordinate systems, and can even be relative to another point. To set the point, you'll want to get the Point2Coordinate and then invoke the necessary methods to put it into the correct coordinate system and set the correct initial value.

## ◆ SetTitleText()

void vtkCenteredSliderRepresentation::SetTitleText | ( | const char * |  | ) |
| overridevirtual

Specify the label text for this widget.

If the value is not set, or set to the empty string "", then the label text is not displayed.

Reimplemented from vtkSliderRepresentation.

## ◆ GetTitleText()

const char* vtkCenteredSliderRepresentation::GetTitleText | ( |  | ) |
| overridevirtual

Specify the label text for this widget.

If the value is not set, or set to the empty string "", then the label text is not displayed.

Reimplemented from vtkSliderRepresentation.

## ◆ GetTubeProperty()

virtual vtkProperty2D* vtkCenteredSliderRepresentation::GetTubeProperty | ( |  | ) |
| virtual

Get the properties for the tube and slider.

## ◆ GetSliderProperty()

virtual vtkProperty2D* vtkCenteredSliderRepresentation::GetSliderProperty | ( |  | ) |
| virtual

Get the properties for the tube and slider.

## ◆ GetSelectedProperty()

virtual vtkProperty2D* vtkCenteredSliderRepresentation::GetSelectedProperty | ( |  | ) |
| virtual

Get the selection property.

This property is used to modify the appearance of selected objects (e.g., the slider).

## ◆ GetLabelProperty()

virtual vtkTextProperty* vtkCenteredSliderRepresentation::GetLabelProperty | ( |  | ) |
| virtual

Set/Get the properties for the label and title text.

## ◆ PlaceWidget()

void vtkCenteredSliderRepresentation::PlaceWidget | ( | double | bounds[6] | ) |
| override

Methods to interface with the vtkSliderWidget.

The PlaceWidget() method assumes that the parameter bounds[6] specifies the location in display space where the widget should be placed.

## ◆ BuildRepresentation()

void vtkCenteredSliderRepresentation::BuildRepresentation | ( |  | ) |
| overridevirtual

Methods to interface with the vtkSliderWidget.

The PlaceWidget() method assumes that the parameter bounds[6] specifies the location in display space where the widget should be placed.

Implements vtkWidgetRepresentation.

## ◆ StartWidgetInteraction()

void vtkCenteredSliderRepresentation::StartWidgetInteraction | ( | double | eventPos[2] | ) |
| overridevirtual

Methods to interface with the vtkSliderWidget.

The PlaceWidget() method assumes that the parameter bounds[6] specifies the location in display space where the widget should be placed.

Reimplemented from vtkWidgetRepresentation.

## ◆ ComputeInteractionState()

int vtkCenteredSliderRepresentation::ComputeInteractionState | ( | int | X,
|  | int | Y,
|  | int | modify = `0`
| ) |  |
| overridevirtual

Methods to interface with the vtkSliderWidget.

The PlaceWidget() method assumes that the parameter bounds[6] specifies the location in display space where the widget should be placed.

Reimplemented from vtkWidgetRepresentation.

## ◆ WidgetInteraction()

void vtkCenteredSliderRepresentation::WidgetInteraction | ( | double | eventPos[2] | ) |
| overridevirtual

Methods to interface with the vtkSliderWidget.

The PlaceWidget() method assumes that the parameter bounds[6] specifies the location in display space where the widget should be placed.

Reimplemented from vtkWidgetRepresentation.

## ◆ Highlight()

void vtkCenteredSliderRepresentation::Highlight | ( | int |  | ) |
| override

Methods to interface with the vtkSliderWidget.

The PlaceWidget() method assumes that the parameter bounds[6] specifies the location in display space where the widget should be placed.

## ◆ GetActors()

void vtkCenteredSliderRepresentation::GetActors | ( | vtkPropCollection * | propCollections | ) |
| overridevirtual

Methods supporting the rendering process.

Reimplemented from vtkProp.

## ◆ ReleaseGraphicsResources()

void vtkCenteredSliderRepresentation::ReleaseGraphicsResources | ( | vtkWindow * | window | ) |
| overridevirtual

Methods supporting the rendering process.

Reimplemented from vtkProp.

## ◆ RenderOverlay()

int vtkCenteredSliderRepresentation::RenderOverlay | ( | vtkViewport * |  | ) |
| overridevirtual

Methods supporting the rendering process.

Reimplemented from vtkProp.

## ◆ RenderOpaqueGeometry()

int vtkCenteredSliderRepresentation::RenderOpaqueGeometry | ( | vtkViewport * |  | ) |
| overridevirtual

Methods supporting the rendering process.

Reimplemented from vtkProp.

## ◆ ComputePickPosition()

virtual double vtkCenteredSliderRepresentation::ComputePickPosition | ( | double | x,
|  | double | y
| ) |  |
| protectedvirtual

## ◆ BuildTube()

void vtkCenteredSliderRepresentation::BuildTube | ( |  | ) |
| protected

## Member Data Documentation

## ◆ Point1Coordinate

vtkCoordinate* vtkCenteredSliderRepresentation::Point1Coordinate
| protected

Definition at line 140 of file vtkCenteredSliderRepresentation.h.

## ◆ Point2Coordinate

vtkCoordinate* vtkCenteredSliderRepresentation::Point2Coordinate
| protected

Definition at line 141 of file vtkCenteredSliderRepresentation.h.

## ◆ XForm

vtkTransform* vtkCenteredSliderRepresentation::XForm
| protected

Definition at line 148 of file vtkCenteredSliderRepresentation.h.

## ◆ Points

vtkPoints* vtkCenteredSliderRepresentation::Points
| protected

Definition at line 149 of file vtkCenteredSliderRepresentation.h.

## ◆ SliderCells

vtkCellArray* vtkCenteredSliderRepresentation::SliderCells
| protected

Definition at line 151 of file vtkCenteredSliderRepresentation.h.

## ◆ Slider

vtkPolyData* vtkCenteredSliderRepresentation::Slider
| protected

Definition at line 152 of file vtkCenteredSliderRepresentation.h.

## ◆ SliderXForm

vtkTransformPolyDataFilter* vtkCenteredSliderRepresentation::SliderXForm
| protected

Definition at line 153 of file vtkCenteredSliderRepresentation.h.

## ◆ SliderMapper

vtkPolyDataMapper2D* vtkCenteredSliderRepresentation::SliderMapper
| protected

Definition at line 154 of file vtkCenteredSliderRepresentation.h.

## ◆ SliderActor

vtkActor2D* vtkCenteredSliderRepresentation::SliderActor
| protected

Definition at line 155 of file vtkCenteredSliderRepresentation.h.

## ◆ SliderProperty

vtkProperty2D* vtkCenteredSliderRepresentation::SliderProperty
| protected

Definition at line 156 of file vtkCenteredSliderRepresentation.h.

## ◆ TubeCells

vtkCellArray* vtkCenteredSliderRepresentation::TubeCells
| protected

Definition at line 158 of file vtkCenteredSliderRepresentation.h.

## ◆ Tube

vtkPolyData* vtkCenteredSliderRepresentation::Tube
| protected

Definition at line 159 of file vtkCenteredSliderRepresentation.h.

## ◆ TubeXForm

vtkTransformPolyDataFilter* vtkCenteredSliderRepresentation::TubeXForm
| protected

Definition at line 160 of file vtkCenteredSliderRepresentation.h.

## ◆ TubeMapper

vtkPolyDataMapper2D* vtkCenteredSliderRepresentation::TubeMapper
| protected

Definition at line 161 of file vtkCenteredSliderRepresentation.h.

## ◆ TubeActor

vtkActor2D* vtkCenteredSliderRepresentation::TubeActor
| protected

Definition at line 162 of file vtkCenteredSliderRepresentation.h.

## ◆ TubeProperty

vtkProperty2D* vtkCenteredSliderRepresentation::TubeProperty
| protected

Definition at line 163 of file vtkCenteredSliderRepresentation.h.

## ◆ LabelProperty

vtkTextProperty* vtkCenteredSliderRepresentation::LabelProperty
| protected

Definition at line 165 of file vtkCenteredSliderRepresentation.h.

## ◆ LabelActor

vtkTextActor* vtkCenteredSliderRepresentation::LabelActor
| protected

Definition at line 166 of file vtkCenteredSliderRepresentation.h.

## ◆ SelectedProperty

vtkProperty2D* vtkCenteredSliderRepresentation::SelectedProperty
| protected

Definition at line 168 of file vtkCenteredSliderRepresentation.h.

## ◆ HighlightState

int vtkCenteredSliderRepresentation::HighlightState
| protected

Definition at line 169 of file vtkCenteredSliderRepresentation.h.

The documentation for this class was generated from the following file:

- Interaction/Widgets/vtkCenteredSliderRepresentation.h